package org.jboss.security.srp;

package .tmp;

import java.io.Serializable;

public class SRPSessionKey implements Serializable {
  private static final long serialVersionUID = -7783783206948014409L;
  
  public static final Integer NO_SESSION_ID = new Integer(0);
  
  private String username;
  
  private int sessionID;
  
  public SRPSessionKey(String username) {
    this(username, NO_SESSION_ID);
  }
  
  public SRPSessionKey(String username, int sessionID) {
    this.username = username;
    this.sessionID = sessionID;
  }
  
  public SRPSessionKey(String username, Integer sessionID) {
    this.username = username;
    if (sessionID != null)
      this.sessionID = sessionID.intValue(); 
  }
  
  public boolean equals(Object obj) {
    org.jboss.security.srp.SRPSessionKey key = (org.jboss.security.srp.SRPSessionKey)obj;
    return (this.username.equals(key.username) && this.sessionID == key.sessionID);
  }
  
  public int hashCode() {
    return this.username.hashCode() + this.sessionID;
  }
  
  public int getSessionID() {
    return this.sessionID;
  }
  
  public String getUsername() {
    return this.username;
  }
  
  public String toString() {
    return "{username=" + this.username + ", sessionID=" + this.sessionID + "}";
  }
}
